<?php

namespace App\Classes\Modules\PerfexCRM\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use App\Models\Transaction;

class FetchPerfexCRMInvoiceObject implements DataTransferObject
{
    /** @var string */
    private $email;

    /** @var Transaction */
    private $transaction;


    public function __construct(string $email, Transaction $transaction)
    {
        $this->email = $email;
        $this->transaction = $transaction;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

    /**
     * @return Transaction
     */
    public function getTransaction(): Transaction
    {
        return $this->transaction;
    }
}
